#!/bin/sh

echo Need a running jail with jid 1 for this test. Enter to proceed
read a

killall jaildaemon
./jaildaemon -D

# daemon comes back too fast, so uds is not yet open
sleep 1
./jaildaemon -j 1 -c '/usr/bin/touch /foo' -t Schnupsi -r

echo -n "Killing (respawnin) task: "
pgrep -f Schnupsi

pkill -HUP -f Schnupsi
sleep 1

echo "Yielding file, touched by task:"
ls -al /foo

echo "Deleting file"
rm -r /foo

echo
echo -n "New task id: "
pgrep -f Schnupsi

echo "Killing with normal signal:"

pkill -f Schnupsi
sleep 1

echo "Expecting no file here:"
ls -al /foo

echo "Also expecting no command to match:"
pgrep -f Schnupsi
